---
title: SVGFEMorphologyElement
slug: Web/API/SVGFEMorphologyElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFEMorphologyElement</code></strong> interface corresponds to the {{SVGElement("feMorphology")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_MORPHOLOGY_OPERATOR_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_MORPHOLOGY_OPERATOR_ERODE</code></td>
   <td>1</td>
   <td>Corresponds to the <code>erode</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_MORPHOLOGY_OPERATOR_DILATE</code></td>
   <td>2</td>
   <td>Corresponds to <code>dilate</code> value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and also implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFEMorphologyElement.in1")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedString")}} corresponding to the {{SVGAttr("in")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEMorphologyElement.operator")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("operator")}} attribute of the given element. It takes one of the <code>SVG_MORPHOLOGY_OPERATOR_*</code> constants defined on this interface.</dd>
 <dt>{{domxref("SVGFEMorphologyElement.radiusX")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the X component of the {{SVGAttr("radius")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFEMorphologyElement.radiusY")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the Y component of the {{SVGAttr("radius")}} attribute of the given element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and also implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFEMorphologyElement", "SVGFEMorphologyElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFEMorphologyElement", "SVGFEMorphologyElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFEMorphologyElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feMorphology")}}</li>
</ul>
